OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
AdaptiveLeafNodePointCount< PointIndexLeafNode > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | Int16LeafNodeType = tree::LeafNode< Int16, PointIndexLeafNode::LOG2DIM >

## Public Member Functions
| AdaptiveLeafNodePointCount (const std::vector< PointIndexLeafNode *> &pointIndexNodes, const std::vector< Int16LeafNodeType *> &signDataNodes, boost::scoped_array< Index32 > &leafNodeCount)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ Int16LeafNodeType

using Int16LeafNodeType = tree::LeafNode<Int16, PointIndexLeafNode::LOG2DIM>

## Constructor & Destructor Documentation

## ◆ AdaptiveLeafNodePointCount()

AdaptiveLeafNodePointCount | ( | const std::vector< PointIndexLeafNode *> & | pointIndexNodes,
|  | const std::vector< Int16LeafNodeType *> & | signDataNodes,
|  | boost::scoped_array< Index32 > & | leafNodeCount
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h